#uses "fwUkl1/fwUkl1.ctl"
#uses "fwUkl1ExceptionHandling/fwUkl1ExceptionHandling.ctl"

main() {
  //Script runs once on start up to ensure that the TtcReady register is set to monitor every 10s.
  //This eventually needs to be set to 'On change' once we can only look at this bit.
  //Keep track of exceptional conditions.
  dyn_string exceptionInfo;
  int exInfoSize = dynlen(exceptionInfo);
  //Call the function to set this up.
  fwUkl1_startMonitoringStatusRegs(exceptionInfo);
  //Check to see if there was an error and print it to the command line if there was. We have no graphics modules available.
  if ( fwUkl1Exception_checkAndRaise(exceptionInfo, "WARNING", "fwUkl1StartStatusMonitoringScript(): Failed to start monitoring the required status registers. This will need to be done manually.", "2", exInfoSize) )
    DebugTN(exceptionInfo);
}//main()
